Bug 56697 - status page still shown while blocked
Summary: status page still shown while blocked
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_status (show other bugs)
Version: 2.2.25
Hardware: PC Linux
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2014-07-04 08:24 UTC by JS
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JS 2014-07-04 08:24:46 UTC
On our server we are using mod_status and mod_env to limit the access to that page.

While all traffic to the statuspage is blocked, except for the ip's whitelisted using env=OK, the page is still accessible from the internet.

The strange thing is that at the first attempt the page can be visited by a non-whitelisted ip but at a later attempt the page is blocked.  

This is the configuration

<Location /server-status>
  SetHandler server-status
  Order Deny,Allow
  Deny from all
  Allow from env=ok
</Location>

We are trying to figure out what goes wrong here, the setup is two webservers (with identical configuration) behind a loadbalancer, we are sure that both servers have the same apache version and the behaviour is identical on both machines.
Comment 1 Luca Toscano 2016-07-25 06:52:26 UTC
Very late answer I know but:

1) Have you tried the same test with 2.4.x and the new Require directive scheme? 

2) What is the use case for mod_env and mod_status? I am asking to have more info not to make a judgment :)

Thanks!
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:34 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.